WinPE not the current version

Hi,

I've noticed that when you create a WinPE USB using either Backupper or PE Builder the version of WinPE is 10.0.14393 where the current version is 10.0.17134.1. 

I'm having issues with the old version not recognizing Microsoft Storage Spaces Controllers and from what I have read I need the current version of WinPE for this to work with Microsoft Storage Spaces Controllers.

How do I get Backupper and PE Builder to use the more recent version of WinPE?

TIA

Greg

Comments

  • We have replied your email, please check it.
  • @admin

    This interests me, because I would like an updated version.
  • @vagn_32 ; No, we don't provide the updated version, just an alternative solution.
  • I really don't understand why the various products from AOMEI have different versions of WinPE. 

    Partition Assistant for example is different from BackUpper and in PE Builder you are forced to download a version.  It will not even use what is installed on your PC.

    As for BackUpper, I eventually installed the latest ADK and the WinPE add-on from here.  Then in BackUpper uncheck to download WinPE and it will use the latest version on your PC.
  • We will update the WinPE in future versions.
  • edited January 9
    @Gregeeh It really doesn't matter what version of ADK or AIK is used. I've used a Win 7 built disk to restore a Win 10 image. All that matters is if it boots up a version of Backupper on startup. The latest version is more for developers who might need some of the functions available in the newer PE's. I think what @admin was saying about alternative solutions was that Aomei was providing you a way to boot into Backupper so you could restore an image. That's what's really counts. The same for PA. It's just a way to load the program in a WinPE. If you need the "latest" version for something you're developing, you can always download directly from Microsoft. The whole ADK package is quite large and you only need 2 of it's many functions to boot up Backupper on start. You can get the whole package from here:
    https://docs.microsoft.com/en-us/windows-hardware/get-started/adk-install
  • <  The latest version is more for developers who might need some of the functions available in the newer PE's.

    Or, in my case support for Microsoft Storage Spaces Controllers, so it does matter what version of ADK or AIK is used as without the latest version you will not "see" the System Drive that you want to backup.

    It would be just so much easier if AOMEI always used the current version of ADK on ALL their products.

  • edited January 11
    I'm not up to speed as much as I'd like with using ADK but I'm glad you were able to get what you needed. Good luck in a few months when Microsoft pushes 1903. I hope your WinPE disk will work with that version. But if not at least you'll know where to go to get the latest ADK package.
    Just to help me understand, what function from the ADK do you need to make your System Drive be seen? I'm always interested in learning as much as I can about Windows.
  • < Just to help me understand, what function from the ADK do you need to make your System Drive be seen?

    Support for Microsoft Storage Spaces Controllers that are in my MS Surface Go and other Surface products too.

  • edited January 11
    Wouldn't that be under additional drivers that need to be added to the PE for your particular system to function as opposed to what version of ADK you are using? I'm still not clear why that would change with every update to ADK. Are you going to need a new ADK when 1809 comes out? Are you installing the entire ADK program (all sections) when you download it or just choosing certain options?
  • < Wouldn't that be under additional drivers that need to be added to the PE for your particular system
    No, because that driver is NOT supported on earlier versions of ADK.  Installing the drivers makes no difference as they are not suppported.

    < Are you going to need a new ADK when 1809 comes out?

    < Are you installing the entire ADK program (all sections)
    No, just Deployment Tools and the PE Add-on.

  • Thank you. I meant when 1903 comes out. But there is no need to respond any more. I've learned enough for the time being.
Sign In or Register to comment.